Predicates

These predicates return true/false based on the input. Although these functions are exported, they are subject to change without notice.

## Index

### Variables

- isArray
- isDate
- isDefined
- isFunction
- isNullOrUndefined
- isNumber
- isPromise
- isRegExp
- isState
- isString
- isUndefined
- toStr

### Functions

- isInjectable
- isNull
- isObject
- tis

## Variables

isArray: isArray = Array.isArray

- Defined in common/predicates.ts:23

isDate: function = <any> ((x: any) => toStr.call(x) === '[object Date]')

#### Type declaration

- - (x: any): boolean

  - #### Parameters

    - ##### x any

    #### Returns boolean

- Defined in common/predicates.ts:24

isDefined: function = not(isUndefined)

#### Type declaration

- - (x?: X): boolean

  - #### Parameters

    - ##### x: Optional X

    #### Returns boolean

- Defined in common/predicates.ts:16

isFunction: function = <any> tis('function')

#### Type declaration

- - (x: any): boolean

  - #### Parameters

    - ##### x any

    #### Returns boolean

- Defined in common/predicates.ts:19

isNullOrUndefined: function = or(isNull, isUndefined)

#### Type declaration

- - (x?: X): boolean

  - #### Parameters

    - ##### x: Optional X

    #### Returns boolean

- Defined in common/predicates.ts:18

isNumber: function = <any> tis('number')

#### Type declaration

- - (x: any): boolean

  - #### Parameters

    - ##### x any

    #### Returns boolean

- Defined in common/predicates.ts:20

isPromise: function = <(x: any) => x is Promise<any>> and(isObject, pipe(prop('then'), isFunction))

Predicate which checks if a value looks like a Promise

Predicate which checks if a value looks like a Promise

It is probably a Promise if it's an object, and it has a `then` property which is a Function

#### Type declaration

- - (x: any): boolean

  - #### Parameters

    - ##### x any

    #### Returns boolean

- Defined in common/predicates.ts:47

isRegExp: function = <any> ((x: any) => toStr.call(x) === '[object RegExp]')

#### Type declaration

- - (x: any): boolean

  - #### Parameters

    - ##### x any

    #### Returns boolean

- Defined in common/predicates.ts:25

isState: function = StateObject.isState

#### Type declaration

- - (x: any): boolean

  - #### Parameters

    - ##### x any

    #### Returns boolean

- Defined in common/predicates.ts:26

isString: function = <(x: any) => x is string> tis('string')

#### Type declaration

- - (x: any): boolean

  - #### Parameters

    - ##### x any

    #### Returns boolean

- Defined in common/predicates.ts:21

isUndefined: (Anonymous function) = tis('undefined')

- Defined in common/predicates.ts:15

toStr: toString = Object.prototype.toString

- Defined in common/predicates.ts:13

## Functions

- isInjectable(val: any): boolean

- Predicate which checks if a value is injectable

- Predicate which checks if a value is injectable

  A value is "injectable" if it is a function, or if it is an ng1 array-notation-style array where all the elements in the array are Strings, except the last one, which is a Function

  #### Parameters

  - ##### val any

  #### Returns boolean

  - Defined in common/predicates.ts:34

- isNull(o: any): boolean

- #### Parameters

  - ##### o any

  #### Returns boolean

  - Defined in common/predicates.ts:17

- isObject(x: any): boolean

- #### Parameters

  - ##### x any

  #### Returns boolean

  - Defined in common/predicates.ts:22

- tis(t: string): (Anonymous function)

- #### Parameters

  - ##### t string

  #### Returns (Anonymous function)

  - Defined in common/predicates.ts:14

Generated using TypeDoc